apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - ../../demo23-cluster
namespace: dnv
configMapGenerator:
  - name: the-map
    behavior: merge
    literals:
      - CATALOG_API_ENDPOINT=""
      - PARTICIPANT_NAME=dnv
      - PARENT_DOMAIN=auditor.demo23.gxfs.fr
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "dnv.auditor.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["dnv.auditor.demo23.gxfs.fr"]
    target:
      kind: Ingress
      name: participant-agent
